
Redmine - Defect #8556

sys/fetch_changesets feature un(der)-documented

2011-06-07 16:28 - Dave Abrahams

Status: Closed Start date: 2011-06-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.2.0

Description

The feature described in http://www.redmine.org/projects/redmine/wiki/RedmineRepositories doesn't work for me as prescribed.  I get

"Access denied. Repository management WS is disabled or key is invalid."

But of course I /have/ checked "Enable WS for repository management" (whatever that means --- what the heck does WS stand for?)

From looking at the error message I guessed that perhaps I needed to add "?key=<the API key>" to my URL, and that at least does

not give me an error, but I can't really tell for sure that it's working.  Is that what I'm supposed to do?

History

#1 - 2011-06-07 17:45 - Etienne Massip

Yes, you can find an example here.

BTW, WS stands for "Web Service", I guess.

#2 - 2011-06-07 17:50 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Fixed

Added a link to Rest_api, should do the job, feel free to "review" it.

#3 - 2011-06-07 18:16 - Dave Abrahams

The instructions still don't work unless I interpret trying to manually fetch changes by typing in the URL as trying to "make it an automatic task."  The

"?key=...." part is still needed.

Also, please replace the nonstandard abbreviation "WS" with what it stands for everywhere.  It's just gratuitously confusing.

#4 - 2011-06-07 19:15 - Etienne Massip

- Status changed from Closed to Reopened

Dave Abrahams wrote:

The instructions still don't work unless I interpret trying to manually fetch changes by typing in the URL as trying to "make it an automatic task." 

The "?key=...." part is still needed.

 I confirm that, but it shouldn't, at least as I understand the whole authentication thing. I will check later if there is already a defect describing this

behavior...

Also, please replace the nonstandard abbreviation "WS" with what it stands for everywhere.  It's just gratuitously confusing.

 I won't do that since the "WS" term is used in application settings labels.

#5 - 2011-06-10 10:33 - Etienne Massip

- Status changed from Reopened to Closed

Ok, I fixed the documentation.
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories
https://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit
https://www.redmine.org/projects/redmine/wiki/Rest_api#Authentication


#6 - 2011-10-25 12:31 - Elijah Ennis
